GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
message_compress.c File Reference
`#include "src/core/compression/message_compress.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <zlib.h>`

## Macros
#define | OUTPUT_BLOCK_SIZE 1024

## Functions
int | compress_inner (grpc_compression_algorithm algorithm, gpr_slice_buffer *input, gpr_slice_buffer *output)
int | grpc_msg_compress (grpc_compression_algorithm algorithm, gpr_slice_buffer *input, gpr_slice_buffer *output)
int | grpc_msg_decompress (grpc_compression_algorithm algorithm, gpr_slice_buffer *input, gpr_slice_buffer *output)

## Macro Definition Documentation

#define OUTPUT_BLOCK_SIZE 1024

## Function Documentation

int compress_inner | ( | grpc_compression_algorithm | algorithm,
|  | gpr_slice_buffer * | input,
|  | gpr_slice_buffer * | output
| ) |  |

int grpc_msg_compress | ( | grpc_compression_algorithm | algorithm,
|  | gpr_slice_buffer * | input,
|  | gpr_slice_buffer * | output
| ) |  |

int grpc_msg_decompress | ( | grpc_compression_algorithm | algorithm,
|  | gpr_slice_buffer * | input,
|  | gpr_slice_buffer * | output
| ) |  |